~alpine/aports

6 2

[alpine-aports] [PATCH] testing/dockerize: new aport

Christian Kampka <christian@kampka.net>
Details
Message ID
<CADq4isQ56zzKqdK8sBcsNYeeGxJBAd07pEdJh4MUzwuRGHR53A@mail.gmail.com>
Sender timestamp
1436723293
DKIM signature
missing
Download raw message
https://github.com/jwilder/dockerize
Utility to simplify running applications in docker containers.
---
 testing/dockerize/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/dockerize/APKBUILD

diff --git a/testing/dockerize/APKBUILD b/testing/dockerize/APKBUILD
new file mode 100644
index 0000000..c59ccc8
--- /dev/null
+++ b/testing/dockerize/APKBUILD
@@ -0,0 +1,39 @@
+# Maintainer: Chritsian Kampka <christian at kampka dot net>
+pkgname=dockerize
+pkgver=0.0.2
+pkgrel=1
+pkgdesc="Utility to simplify running applications in docker containers."
+url="https://github.com/jwilder/dockerize"
+arch="x86_64"
+license="MIT"
+makedepends="git go"
+source="$pkgname-$pkgver.tar.gz::$url/archive/v$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ export GOPATH="$_builddir"
+
+ go get github.com/robfig/glock
+ "${GOPATH}/bin/glock" sync ../
+ make dist
+}
+
+package() {
+ cd "$_builddir"
+ install -Dm755 dist/linux/amd64/dockerize \
+ "$pkgdir"/usr/bin/dockerize
+}
+md5sums="5aa46972d08af123a85d6ccd888503f3  dockerize-0.0.2.tar.gz"
+sha256sums="3a4b171e5290b69f9be2b420b6a2b1ec5db271819f6cfe3e5a6613a22dc82c12
 dockerize-0.0.2.tar.gz"
+sha512sums="a069f657a8ccefb6a91de98ac65035df3ffc4c0c693b968d38555f560758530e3c273efeab73a386883ff5b767a54489b34e811f11571e829b394f93fc87bd88
 dockerize-0.0.2.tar.gz"
-- 
2.4.5
Francesco Colista <fcolista@alpinelinux.org>
Details
Message ID
<45b847c9f50f47ad2f5eb375b16f3a77@bsod.eu>
In-Reply-To
<CADq4isQ56zzKqdK8sBcsNYeeGxJBAd07pEdJh4MUzwuRGHR53A@mail.gmail.com> (view parent)
Sender timestamp
1437131787
DKIM signature
missing
Download raw message
Il 2015-07-12 19:48 Christian Kampka ha scritto:
> https://github.com/jwilder/dockerize [1]
> 
> Utility to simplify running applications in docker containers.
> ---

Hi!
Sadly, patch does not apply:

Applying patch #250 using 'git am'
Description: [alpine-aports] testing/dockerize: new aport
Applying: testing/dockerize: new aport
fatal: corrupt patch at line 54
Patch failed at 0001 testing/dockerize: new aport

Would you recreate it using git format-patch?
Thanks.

-- 
:: Francesco Colista
:: Alpine Linux Infrstraucture
:: http://www.alpinelinux.org


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Christian Kampka <christian@kampka.net>
Details
Message ID
<CADq4isQB5HMen_VXi-QuedtuXatve63+JC3O8FvR7iJSCp4UaA@mail.gmail.com>
In-Reply-To
<45b847c9f50f47ad2f5eb375b16f3a77@bsod.eu> (view parent)
Sender timestamp
1437221353
DKIM signature
missing
Download raw message
Hi,

sorry about that.
Rebased the patch again, new version attached.

Cheers,
Christian
Francesco Colista <fcolista@alpinelinux.org>
Details
Message ID
<2c72e00b9abfdf7e6e011bbc539fd0f4@bsod.eu>
In-Reply-To
<CADq4isQB5HMen_VXi-QuedtuXatve63+JC3O8FvR7iJSCp4UaA@mail.gmail.com> (view parent)
Sender timestamp
1438075778
DKIM signature
missing
Download raw message
Il 2015-07-18 14:09 Christian Kampka ha scritto:
> Hi,
> 
> sorry about that.
> Rebased the patch again, new version attached.

Hi Christian.
SOrry for the delay in answer.
Rather than using git :

go get github.com/robfig/glock

can you please provide a snapshot of glock?

Thanks.

-- 
:: Francesco Colista
:: Alpine Linux Infrstraucture
:: http://www.alpinelinux.org


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Christian Kampka <christian@kampka.net>
Details
Message ID
<CADq4isRXzZ6iWGqy+QYyiE8LeBUoToP7H4oeTxC0ujS+BVtREw@mail.gmail.com>
In-Reply-To
<2c72e00b9abfdf7e6e011bbc539fd0f4@bsod.eu> (view parent)
Sender timestamp
1438899829
DKIM signature
missing
Download raw message
Hi Francesco,

thanks for your feedback.
I have followed your suggestion and while doing so turned glock into a
package by itself.
I therefore created a new patchset for glock and dockerize that you may
find on the list.

Cheers,
Christian


Francesco Colista <fcolista@alpinelinux.org> schrieb am Di., 28. Juli 2015
um 11:29 Uhr:

> Il 2015-07-18 14:09 Christian Kampka ha scritto:
> > Hi,
> >
> > sorry about that.
> > Rebased the patch again, new version attached.
>
> Hi Christian.
> SOrry for the delay in answer.
> Rather than using git :
>
> go get github.com/robfig/glock
>
> can you please provide a snapshot of glock?
>
> Thanks.
>
> --
> :: Francesco Colista
> :: Alpine Linux Infrstraucture
> :: http://www.alpinelinux.org
>
Christian Kampka <christian@kampka.net>
Details
Message ID
<CADq4isSRJqMyK2ZsQstT8mHy8K8=e2wer7ccbp5To_2Ca=91_A@mail.gmail.com>
In-Reply-To
<50224b947c650e6873097d8aab5574dd@bsod.eu> (view parent)
Sender timestamp
1438940038
DKIM signature
missing
Download raw message
Please refer to the answer to your suggestions on the glock package
regarding the snapshot as it applies here to.

Francesco Colista <fcolista@alpinelinux.org> schrieb am Fr., 7. Aug. 2015
um 10:26 Uhr:

> Il 2015-07-12 19:48 Christian Kampka ha scritto:
> > https://github.com/jwilder/dockerize [1]
> >
> > Utility to simplify running applications in docker containers.
> > ---
>
> Since glock is a dependency and doesn't build, this package doesn't
> build as well.
> Please, modify the patch in order to use the builtin snapshot()
> function.
> Thanks!
>
>
> --
> :: Francesco Colista
> :: Alpine Linux Infrstraucture
> :: http://www.alpinelinux.org
>
Francesco Colista <fcolista@alpinelinux.org>
Details
Message ID
<50224b947c650e6873097d8aab5574dd@bsod.eu>
In-Reply-To
<CADq4isQ56zzKqdK8sBcsNYeeGxJBAd07pEdJh4MUzwuRGHR53A@mail.gmail.com> (view parent)
Sender timestamp
1438936006
DKIM signature
missing
Download raw message
Il 2015-07-12 19:48 Christian Kampka ha scritto:
> https://github.com/jwilder/dockerize [1]
> 
> Utility to simplify running applications in docker containers.
> ---

Since glock is a dependency and doesn't build, this package doesn't 
build as well.
Please, modify the patch in order to use the builtin snapshot() 
function.
Thanks!


-- 
:: Francesco Colista
:: Alpine Linux Infrstraucture
:: http://www.alpinelinux.org


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Reply to thread Export thread (mbox)